import bb.cascades 1.2

Page {
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        
        }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Top
        ImageView {
            imageSource: "asset:///img/common/logos/logo.png"
            scalingMethod: ScalingMethod.AspectFit
            horizontalAlignment: HorizontalAlignment.Center

        }
        
        Header {
            title: qsTr("Main Menu") + Retranslate.onLocaleOrLanguageChanged                
            subtitle: "v:" + Application.applicationVersion.toString();
        
        }
        Button {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            text: "New Game"
        }
        Button {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            text: "Load Game"
        }
        Button {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            text: "About"
            onClicked: {
                navigationPane.push(about.createObject())                
            }
        }
        Button {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            text: "Help"
            onClicked: {
                navigationPane.push(helpPage.createObject())                
            }
        }
        Button {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            text: "Settings"
            onClicked: {
                navigationPane.push(settingsPage.createObject())                
            }
        
        }
    
    }
}
