import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title : qsTr("RPG Quest 2: Statistics") + Retranslate.onLocaleOrLanguageChanged
    }
    ScrollView {
        scrollViewProperties.initialScalingMethod: ScalingMethod.AspectFill

        Container {
            Header {
                title: qsTr("Character") + Retranslate.onLocaleOrLanguageChanged
            }
            
            ImageView {
                imageSource: "asset:///img/sprites/classes/guardian_m/full.png"
                horizontalAlignment: HorizontalAlignment.Center
            }

            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight                        
                }
                
                leftPadding: 75.0
                rightPadding: 75.0
                
                Label {
                    text: qsTr("Name: ")
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }     
                }
                Label {
                    text: qsTr("<name>")
                    id: char_name
                    layoutProperties: StackLayoutProperties {                        
                        spaceQuota: 2
                    }
                }
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight                        
                }

                leftPadding: 75.0
                rightPadding: 75.0

                Label {
                    text: qsTr("... ")
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }     
                }
                Label {
                    text: qsTr("...")
                    id: char_class
                    layoutProperties: StackLayoutProperties {                        
                        spaceQuota: 2
                    }
                }
            }
            
            
        }
    }
}
