import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title : qsTr("RPG Quest 2: Inventory") + Retranslate.onLocaleOrLanguageChanged
    }
    ScrollView {
        
        scrollViewProperties.initialScalingMethod: ScalingMethod.AspectFill
        
        Container {
            
            Header {
                title: qsTr("Character") + Retranslate.onLocaleOrLanguageChanged
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center                
                Label {
                    text:"Attack: +12, Defence: +18"
                    textStyle.textAlign: TextAlign.Center
                    horizontalAlignment: HorizontalAlignment.Center
                }
                Container {                
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight                        
                    }
                    
                    ImageView {
                        imageSource: "asset:///img/sprites/items/head/head1.png"
                        preferredHeight: 100
                        preferredWidth: 100
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: qsTr("Head: +3 Wooden Helmet");
                    }
                }
                Container {                
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight                        
                    }
                    
                    ImageView {
                        imageSource: "asset:///img/sprites/items/body/armour1.png"
                        preferredHeight: 100
                        preferredWidth: 100
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: qsTr("Body: +8 Chain Mail");
                    }
                }
                Container {                
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight                        
                    }
                    
                    ImageView {
                        imageSource: "asset:///img/sprites/items/feet/feet1.png"
                        preferredHeight: 100
                        preferredWidth: 100
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: qsTr("Feet: +2 Cloth Shoes");
                    }
                }
                Container {                
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight                        
                    }
                    
                    ImageView {
                        imageSource: "asset:///img/sprites/items/shield/shield1.png"
                        preferredHeight: 100
                        preferredWidth: 100
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: qsTr("Shield: +5 Iron Shield");
                    }
                }
                Container {                
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight                        
                    }
                    
                    ImageView {
                        imageSource: "asset:///img/sprites/items/spear/spear1.png"
                        preferredHeight: 100
                        preferredWidth: 100
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: qsTr("Weapon:  +12 Iron Spear");
                    }
                }
            }
            
            Header {
                title: qsTr("Backpack") + Retranslate.onLocaleOrLanguageChanged
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center                
                
                Container {                
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Center
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight                        
                    }
                    
                    ImageView {
                        imageSource: "asset:///img/sprites/items/misc/heal.png"
                        preferredHeight: 100
                        preferredWidth: 100
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: qsTr("Heal:  +10 HP");
                    }
                }
            }
        }    
    }
}
