import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title : qsTr("RPG Quest 2: Magic") + Retranslate.onLocaleOrLanguageChanged
    }
    Container {
        Header {
            title: qsTr("Magic:") + Retranslate.onLocaleOrLanguageChanged
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Center                
            
            Container {                
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
                
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight                        
                }
                
                ImageView {
                    imageSource: "asset:///img/sprites/items/skills/poison.png"
                    preferredHeight: 100
                    preferredWidth: 100
                }
                Label {
                    verticalAlignment: VerticalAlignment.Center
                    text: qsTr("Infect Lvl 1:  +10 Poison");
                }
            }
        }
        Header {
            title: qsTr("Skills:") + Retranslate.onLocaleOrLanguageChanged
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Center                
            Label {
                text: "None"
            }
        }
    }
}
